Lavalite package that provides vet247 management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `colorfill/vet247`.

    "colorfill/vet247": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Colorfill\Vet247\Providers\Vet247ServiceProvider::class,

And also add it to alias

    'Vet247'  => Colorfill\Vet247\Facades\Vet247::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Colorfill\\Vet247TableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Colorfill\Vet247\Providers\Vet247ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Colorfill\Vet247\Providers\Vet247ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Colorfill\Vet247\Providers\Vet247ServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/vet247/{modulename}

**User**

    http://path-to-route-folder/user/vet247/{modulename}

**Public**

    http://path-to-route-folder/vet247s


### API endpoints

**List**

    http://path-to-route-folder/api/user/vet247/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/vet247/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/vet247/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/vet247/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/vet247/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/vet247/{modulename}/{slug}
    METHOD: GET